Bug 295861 - Bugzilla dependency on 'which' not in rpm
Bugzilla dependency on 'which' not in rpm
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bugzilla (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: John Berninger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 02:32 EDT by J Robinson
Modified: 2007-12-29 09:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-29 09:07:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J Robinson 2007-09-19 02:32:09 EDT
Description of problem:

Bugzilla rpm dependency on 'which' not noted in rpm

Version-Release number of selected component (if applicable):

bugzilla.noarch 0:3.0.1-0.fc6

How reproducible:

install bugzilla via yum on FC6 when the 'which' package is not installed.

Steps to Reproduce:
1. yum -y remove which bugzilla
2. yum -y install bugzilla

  
Actual results:

  Installing: perl-XML-Twig                ####################### [43/44] 
  Installing: bugzilla                     ####################### [44/44] 
Can't exec "which": No such file or directory at Bugzilla/Install/Localconfig.pm
line 355, <DATA> line 225.
Use of uninitialized value in pattern match (m//) at
Bugzilla/Install/Localconfig.pm line 356, <DATA> line 225.
Use of uninitialized value in string eq at Bugzilla/Install/Localconfig.pm line
356, <DATA> line 225.
Can't exec "which": No such file or directory at Bugzilla/Install/Localconfig.pm
line 368, <DATA> line 225.
Use of uninitialized value in pattern match (m//) at
Bugzilla/Install/Localconfig.pm line 369, <DATA> line 225.
Use of uninitialized value in string eq at Bugzilla/Install/Localconfig.pm line
369, <DATA> line 225.
Can't exec "which": No such file or directory at Bugzilla/Install/Localconfig.pm
line 382, <DATA> line 225.
Use of uninitialized value in pattern match (m//) at
Bugzilla/Install/Localconfig.pm line 383, <DATA> line 225.
Use of uninitialized value in string eq at Bugzilla/Install/Localconfig.pm line
383, <DATA> line 225.


Expected results:

That the dependency on 'which' would be noted in the rpm, and installed by yum
as a prerequisite.

Additional info:
Comment 1 Fedora Update System 2007-10-24 03:15:02 EDT
bugzilla-3.0.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bugzilla'

Note You need to log in before you can comment on or make changes to this bug.